Subject: Re: [PATCH 12/15] powerpc: Do not use op_model_cell under LPAR

From: Arnd Bergmann <[email-masked]>
Date: Tue, 12 Dec 2006 20:55:59 +0100

On Tuesday 12 December 2006 05:13, Michael Ellerman wrote:
>   On Tue, 2006-12-12 at 13:02 +0900, Ishizaki Kou wrote:
> > op_model_cell supports native Cell processor. Under LPAR environment,
> > it cannot work.
> > 
> > Signed-off-by: Kou Ishizaki <kou.ishizaki.co.jp>

Acked-by: Arnd Bergmann <[email-masked]>

> 
> Is FW_FEATURE_LPAR is the right switch to use here, I'm not sure.

Yes, I think it is. The code accesses I/O memory areas that can not
work under any hypervisor, so FW_FEATURE_LPAR makes perfect sense
to me.

	Arnd <><